
public skill_steel_skin(id,victim,damage,weapon,hitplace)
{
	if(!weapon || weapon == CSW_HEGRENADE || weapon == CSW_C4 || weapon == CSW_AWP)
	{
		return PLUGIN_CONTINUE;
	}
	
	static armor,CsArmorType:armor_type;
	armor=cs_get_user_armor(victim,armor_type);
	
	if((!armor_type) && (hitplace == HIT_HEAD)) return PLUGIN_CONTINUE;
	
	if((armor > 100) || (cs_get_user_vip(id)) && (armor > 200))
	{
		static draw_damage;
		draw_damage=floatround(damage*(g_skill[victim][P_SKILL_5]*0.05));
		
		set_user_health(victim,get_user_health(victim)+draw_damage);
		cs_set_user_armor (victim,armor-draw_damage,armor_type);
		
		print_hud_status(victim,"%L",victim,"L_STATUS_SKILL_STEELSKIN");
	}
	
	return PLUGIN_CONTINUE;
}
